Subject: Re: RDMA will be reverted

From: Rick Jones <[email-masked]>
Date: Tue, 25 Jul 2006 09:29:11 -0700

David Miller wrote:
> From: Rick Jones <[email-masked]>
> Date: Mon, 24 Jul 2006 17:55:24 -0700
> 
> 
>>Even enough bits for 1024 or 2048 CPUs in the single system image?  I have seen 
>>1024 touted by SGI, and with things going so multi-core, perhaps 16384 while 
>>sounding initially bizzare would be in the realm of theoretically possible 
>>before tooooo long.
> 
> 
> Read the RSS NDIS documents from Microsoft. 

I'll see about hunting them down.

> You aren't going to want
> to demux to more than, say, 256 cpus for single network adapter even
> on the largest machines.

I suppose, it just seems to tweak _small_ alarms in my intuition - maybe because 
it still sounds like networking telling the scheduler where to run threads of 
execution, and even though I'm a networking guy I seem to have the notion that 
it should be the other way 'round.

>>That would cover TCP, are there similarly fungible fields in SCTP or
>>other ULPs?  And if we were to want to get HW support for the thing,
>>getting it adopted in a de jure standards body would probably be in
>>order :)
> 
> 
> Microsoft never does this, neither do we.  LRO came out of our own
> design, the network folks found it reasonable and thus they have
> started to implement it.  The same is true for Microsofts RSS stuff.
> 
> It's a hardware interpretation, therefore it belongs in a driver API
> specification, nowhere else.

It may be a hardware interpretation, but doesn't it have non-trivial system 
implications - where one runs threads/processes etc?

rick jones